import { users } from "~/drizzle/schema";
import { lucia } from "~/lib/auth";
import { ExtractDataTypes, GetColumns } from "./db";

declare module "lucia" {
  // eslint-disable-next-line no-unused-vars
  interface Register {
    Lucia: typeof lucia;
    DatabaseUserAttributes: DatabaseUserAttributes;
  }
}

interface DatabaseUserAttributes
  extends ExtractDataTypes<GetColumns<typeof users>> {
  warst: string;
}
